<?php
print "#
# Table data for table 'tx_tuwinformations_journals'
#
";
print "DELETE FROM tx_tuwinformations_journals;\n";
foreach (file('JCR_SCIE_2015.csv') as $line) {
    $f = explode("\t", trim($line));
    $sql = sprintf("INSERT IGNORE INTO tx_tuwinformations_journals (abbreviation,title,issn,impact_factor,eigenfactor,normeigenfactor) VALUES ('%s','%s','%s',%f,%f,%f);", $f[0], $f[1], $f[2], $f[3], $f[4], $f[5]);
    print $sql . "\n";
}
?>
